import React from 'react';
import { INotebookTracker } from '@jupyterlab/notebook';
import { IEditorTracker } from '@jupyterlab/fileeditor';
import { TranslationBundle } from '@jupyterlab/translation';
import '../style/add-comment-form.css';
/**
 * Menu that displays header of widget, filter and sorting menus
 * and a form to add new comments
 *
 * @param {{
 *   notebookTracker: INotebookTracker;
 *   editorTracker: IEditorTracker;
 *   trans: TranslationBundle;
 *   username: string;
 *   fullUsername: string;
 *   filePath: string;
 *   fileName: string;
 *   updateComments: VoidFunction;
 *   hideResolved: boolean;
 *   setHideResolved: (hideResolved: boolean) => void;
 * }} param0
 * @param {INotebookTracker} param0.notebookTracker an object that tracks notebook events
 * @param {IEditorTracker} param0.editorTracker an object that thacks editor events
 * @param {TranslationBundle} param0.trans translation object
 * @param {string} param0.username username of a user that is currently using jupyter
 * @param {string} param0.fullUsername real username
 * @param {string} param0.filePath full file path to the currently openned file
 * @param {string} param0.fileName name of currenly oppened file
 * @param {VoidFunction} param0.updateComments function that rerenders comments
 * @param {boolean} param0.hideResolved an option that definces if resolved comments should be shown
 * @param {(hideResolved: boolean) => void} param0.setHideResolved a setter for hideResolved
 * @returns {React.JSX.Element}
 */
export declare const AddCommentForm: ({ notebookTracker, editorTracker, trans, username, fullUsername, filePath, fileName, updateComments, hideResolved, setHideResolved }: {
    notebookTracker: INotebookTracker;
    editorTracker: IEditorTracker;
    trans: TranslationBundle;
    username: string;
    fullUsername: string;
    filePath: string;
    fileName: string;
    updateComments: VoidFunction;
    hideResolved: boolean;
    setHideResolved: (hideResolved: boolean) => void;
}) => React.JSX.Element;
