import React from 'react';
import '../../style/components.css';
/**
 * textarea element that is used in add/edit comment form
 *
 * @param {{
 *   text: string;
 *   setText: React.Dispatch<React.SetStateAction<string>>;
 *   isEditing?: boolean;
 *   placeholder?: string;
 *   disabled: boolean;
 *   setDisabled: (value: boolean) => void;
 *   handleSaveClick: () => void;
 *   handleCancelClick: () => void;
 * }} param0
 * @param {string} param0.text initial text of textarea
 * @param {React.Dispatch<React.SetStateAction<string>>} param0.setText function that sets text
 * @param {boolean} param0.isEditing should textarea be shown
 * @param {string} param0.placeholder placeholder parameter
 * @param {boolean} param0.disabled should adding comment be disabled (when text is empty)
 * @param {(value: boolean) => void} param0.setDisabled setter for disabled
 * @param {() => void} param0.handleSaveClick function that should be called on textarea on save button click
 * @param {() => void} param0.handleCancelClick function that should be called on textarea on cancel button click
 * @returns {React.JSX.Element}
 */
export declare const Textarea: ({ text, setText, isEditing, placeholder, disabled, setDisabled, handleSaveClick, handleCancelClick }: {
    text: string;
    setText: React.Dispatch<React.SetStateAction<string>>;
    isEditing?: boolean | undefined;
    placeholder?: string | undefined;
    disabled: boolean;
    setDisabled: (value: boolean) => void;
    handleSaveClick: () => void;
    handleCancelClick: () => void;
}) => React.JSX.Element;
