import React from 'react';
import { INotebookTracker } from '@jupyterlab/notebook';
import { IEditorTracker } from '@jupyterlab/fileeditor';
import { TranslationBundle } from '@jupyterlab/translation';
import { ICommentType } from './comment';
/**
 * Element that shores whole comments widget interface, which consists of:
 * add new comment form, any number of comment threads
 *
 * @param {{
 *   notebookTracker: INotebookTracker;
 *   editorTracker: IEditorTracker;
 *   trans: TranslationBundle;
 *   username: string;
 *   fullUsername: string;
 *   filePath: string;
 *   fileName: string;
 *   comments: ICommentType[];
 *   updateComments: () => void;
 * }} param0
 * @param {INotebookTracker} param0.notebookTracker, object that tracks changes in notebooks
 * @param {IEditorTracker} param0.editorTracker, object that tracks changes in editors
 * @param {TranslationBundle} param0.trans, interface translation object
 * @param {string} param0.username, system username
 * @param {string} param0.fullUsername, real username
 * @param {string} param0.filePath, full path of currently openned file
 * @param {string} param0.fileName, name of currently openned file
 * @param {{}} param0.comments, list of comments liked to currently openned file
 * @param {() => void} param0.updateComments, function that pulls comments from db and rerenders interface
 * @returns {React.JSX.Element}
 */
export declare const Panel: ({ notebookTracker, editorTracker, trans, username, fullUsername, filePath, fileName, comments, updateComments }: {
    notebookTracker: INotebookTracker;
    editorTracker: IEditorTracker;
    trans: TranslationBundle;
    username: string;
    fullUsername: string;
    filePath: string;
    fileName: string;
    comments: ICommentType[];
    updateComments: () => void;
}) => React.JSX.Element;
